Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 83)
@@ -0,0 +1,620 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 協力業者登録申請データＤＢアクセス
+    /// </summary>
+    public class IOSubConstrRegist : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 協力業者登録申請データフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            PersonCode = 0,
+            CreateDate,
+            SeqNo,
+            DataMode,
+            SourceCode,
+            PetitionPeriod,
+            CorporateStatusName,
+            CorporateStatusPoint,
+            CompanyName,
+            CEOPositionName,
+            CEOName,
+            ContactPersonName,
+            ZipCode,
+            Address1,
+            Address2,
+            Address3,
+            CellPhoneNumber,
+            MailAddress,
+            PhoneNumber,
+            FaxNumber,
+            JapaneseSyllabary,
+            StartDate,
+            Note,
+            labourKind,
+            OrderDate,
+            OrderNo,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOSubConstrRegist()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 協力業者登録申請データ検索文字列作成
+        /// <summary>
+        /// 協力業者登録申請データ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+
+            strcmd += "  PersonCode";
+            strcmd += ", DATE_FORMAT(CreateDate,'%Y/%m/%d')";
+            strcmd += ", SeqNo";
+            strcmd += ", DataMode";
+            strcmd += ", SourceCode";
+            strcmd += ", PetitionPeriod";
+
+            strcmd += ", CorporateStatusName";
+            strcmd += ", CorporateStatusPoint";
+            strcmd += ", CompanyName";
+            strcmd += ", CEOPositionName";
+            strcmd += ", CEOName";
+            strcmd += ", ContactPersonName";
+            strcmd += ", ZipCode";
+            strcmd += ", Address1";
+            strcmd += ", Address2";
+            strcmd += ", Address3";
+            strcmd += ", CellPhoneNumber";
+            strcmd += ", MailAddress";
+            strcmd += ", PhoneNumber";
+            strcmd += ", FaxNumber";
+            strcmd += ", JapaneseSyllabary";
+            strcmd += ", DATE_FORMAT(StartDate, '%Y/%m/%d')";
+            strcmd += ", Note";
+            strcmd += ", labourKind";
+            strcmd += " ,DATE_FORMAT(OrderDate, '%Y/%m/%d')";
+            strcmd += " ,OrderNo";
+
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM SubConstrRegist";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 協力業者登録申請データ複数検索
+        /// <summary>
+        /// 協力業者登録申請データ複数検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<SubConstrRegist> data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    SubConstrRegist work = new SubConstrRegist();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ1件検索
+        /// <summary>
+        /// 協力業者登録申請データ1件検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref SubConstrRegist data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ1件追加
+        /// <summary>
+        /// 協力業者登録申請データ1件追加
+        /// </summary>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(SubConstrRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO SubConstrRegist";
+
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", data.PersonCode);
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')" ,data.CreateDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.SeqNo);
+                strcmd += string.Format(", {0}", data.DataMode);
+                strcmd += string.Format(", {0}", data.SourceCode);
+                strcmd += string.Format(", {0}", data.PetitionPeriod);
+
+                strcmd += string.Format(", '{0}'", data.CorporateStatusName);
+                strcmd += string.Format(", {0}", data.CorporateStatusPoint);
+                strcmd += string.Format(", '{0}'", data.CompanyName);
+                strcmd += string.Format(", '{0}'", data.CEOPositionName);
+                strcmd += string.Format(", '{0}'", data.CEOName);
+                strcmd += string.Format(", '{0}'", data.ContactPersonName);
+                strcmd += string.Format(", '{0}'", data.ZipCode);
+                strcmd += string.Format(", '{0}'", data.Address1);
+                strcmd += string.Format(", '{0}'", data.Address2);
+                strcmd += string.Format(", '{0}'", data.Address3);
+                strcmd += string.Format(", '{0}'", data.CellPhoneNumber);
+                strcmd += string.Format(", '{0}'", data.MailAddress);
+                strcmd += string.Format(", '{0}'", data.PhoneNumber);
+                strcmd += string.Format(", '{0}'", data.FaxNumber);
+                strcmd += string.Format(", '{0}'", data.JapaneseSyllabary);
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                strcmd += string.Format(", '{0}'", data.Note);
+                strcmd += string.Format(",  {0} ", data.labourKind.ToString());
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.OrderNo);
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ複数追加
+        /// <summary>
+        /// 協力業者登録申請データ複数追加
+        /// </summary>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<SubConstrRegist> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (SubConstrRegist work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ更新
+        /// <summary>
+        /// 協力業者登録申請データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, SubConstrRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE SubConstrRegist";
+
+                strcmd += " SET";
+
+                strcmd += string.Format("  PersonCode = {0}", data.PersonCode);
+                strcmd += string.Format(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.CreateDate.ToShortDateString());
+                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
+                strcmd += string.Format(", DataMode = {0}", data.DataMode);
+                strcmd += string.Format(", SourceCode = {0}", data.SourceCode);
+                strcmd += string.Format(", PetitionPeriod = {0}", data.PetitionPeriod);
+
+                strcmd += string.Format(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd += string.Format(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
+                strcmd += string.Format(", CompanyName = '{0}'", data.CompanyName);
+                strcmd += string.Format(", CEOPositionName = '{0}'", data.CEOPositionName);
+                strcmd += string.Format(", CEOName = '{0}'", data.CEOName);
+                strcmd += string.Format(", ContactPersonName = '{0}'", data.ContactPersonName);
+                strcmd += string.Format(", ZipCode = '{0}'", data.ZipCode);
+                strcmd += string.Format(", Address1 = '{0}'", data.Address1);
+                strcmd += string.Format(", Address2 = '{0}'", data.Address2);
+                strcmd += string.Format(", Address3 = '{0}'", data.Address3);
+                strcmd += string.Format(", CellPhoneNumber = '{0}'", data.CellPhoneNumber);
+                strcmd += string.Format(", MailAddress = '{0}'", data.MailAddress);
+                strcmd += string.Format(", PhoneNumber = '{0}'", data.PhoneNumber);
+                strcmd += string.Format(", FaxNumber = '{0}'", data.FaxNumber);
+                strcmd += string.Format(", JapaneseSyllabary = '{0}'", data.JapaneseSyllabary);
+                strcmd += string.Format(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                strcmd += string.Format(", Note = '{0}'", data.Note);
+                strcmd += string.Format(", labourKind = {0}", data.labourKind);
+                strcmd += string.Format(", OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", OrderNo = {0}", data.OrderNo);
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ削除
+        /// <summary>
+        /// 協力業者登録申請データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM SubConstrRegist", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime CreateDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE SubConstrRegist";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.PersonCode:
+                        strcmd += string.Format("  PersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CreateDate:
+                        strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.SeqNo:
+                        strcmd += string.Format(", SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.DataMode:
+                        strcmd += string.Format(", DataMode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SourceCode:
+                        strcmd += string.Format(", SourceCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PetitionPeriod:
+                        strcmd += string.Format(", PetitionPeriod = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CorporateStatusName:
+                        strcmd += string.Format(" CorporateStatusName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CorporateStatusPoint:
+                        strcmd += string.Format(" CorporateStatusPoint = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CompanyName:
+                        strcmd += string.Format(" CompanyName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CEOPositionName:
+                        strcmd += string.Format(" CEOPositionName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CEOName:
+                        strcmd += string.Format(" CEOName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.ContactPersonName:
+                        strcmd += string.Format(" ContactPersonName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.ZipCode:
+                        strcmd += string.Format(" ZipCode = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address1:
+                        strcmd += string.Format(" Address1 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address2:
+                        strcmd += string.Format(" Address2 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address3:
+                        strcmd += string.Format(" Address3 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CellPhoneNumber:
+                        strcmd += string.Format(" CellPhoneNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.MailAddress:
+                        strcmd += string.Format(" MailAddress = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.PhoneNumber:
+                        strcmd += string.Format(" PhoneNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.FaxNumber:
+                        strcmd += string.Format(" FaxNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.JapaneseSyllabary:
+                        strcmd += string.Format(" JapaneseSyllabary = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.StartDate:
+                        strcmd += string.Format(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.Note:
+                        strcmd += string.Format(" Note = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.labourKind:
+                        strcmd += string.Format(" labourKind = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.OrderDate:
+                        strcmd += string.Format(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode, CreateDate, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref SubConstrRegist wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)TableColumn.CreateDate].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());
+                wrk.DataMode = int.Parse(objwrk[(int)TableColumn.DataMode].ToString());
+                wrk.SourceCode = int.Parse(objwrk[(int)TableColumn.SourceCode].ToString());
+                wrk.PetitionPeriod = int.Parse(objwrk[(int)TableColumn.PetitionPeriod].ToString());
+                wrk.CorporateStatusName = objwrk[(int)TableColumn.CorporateStatusName].ToString();
+                wrk.CorporateStatusPoint = int.Parse(objwrk[(int)TableColumn.CorporateStatusPoint].ToString());
+                wrk.CompanyName = objwrk[(int)TableColumn.CompanyName].ToString();
+                wrk.CEOPositionName = objwrk[(int)TableColumn.CEOPositionName].ToString();
+                wrk.CEOName = objwrk[(int)TableColumn.CEOName].ToString();
+                wrk.ContactPersonName = objwrk[(int)TableColumn.ContactPersonName].ToString();
+                wrk.ZipCode = objwrk[(int)TableColumn.ZipCode].ToString();
+                wrk.Address1 = objwrk[(int)TableColumn.Address1].ToString();
+                wrk.Address2 = objwrk[(int)TableColumn.Address2].ToString();
+                wrk.Address3 = objwrk[(int)TableColumn.Address3].ToString();
+                wrk.CellPhoneNumber = objwrk[(int)TableColumn.CellPhoneNumber].ToString();
+                wrk.MailAddress = objwrk[(int)TableColumn.MailAddress].ToString();
+                wrk.PhoneNumber = objwrk[(int)TableColumn.PhoneNumber].ToString();
+                wrk.FaxNumber = objwrk[(int)TableColumn.FaxNumber].ToString();
+                wrk.JapaneseSyllabary = objwrk[(int)TableColumn.JapaneseSyllabary].ToString();
+                wrk.StartDate = DateTime.Parse(objwrk[(int)TableColumn.StartDate].ToString());
+                wrk.Note = objwrk[(int)TableColumn.Note].ToString();
+                wrk.labourKind = int.Parse(objwrk[(int)TableColumn.labourKind].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)TableColumn.OrderDate].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)TableColumn.OrderNo].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 申請連番の最大値を取得する
+        /// <summary>
+        /// 申請連番の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM SubConstrRegist" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ItemCode">大工種キー</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0, string Alias = "")
+        {
+            string strWork = "";
+            try
+            {
+                string strAlias = string.Empty;
+                if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
+                strWork = string.Format(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
+                if (CaretaDate != DateTime.MinValue)
+                    strWork += string.Format(" AND {0}CreateDate = STR_TO_DATE('{1}','%Y/%m/%d')", strAlias, CaretaDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND {0}SeqNo = {1}", strAlias, SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 83)
@@ -64,10 +64,10 @@
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成（DateTime型が変換できないのでCharに変換しておく）
             string strcmd = "SELECT";
             strcmd += "  PrimaryCode";
-            strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d')";
             strcmd += " ,SystemVersion";
             strcmd += " ,UpDateCopyVersion";
             strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -88,13 +88,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<SystemExecute> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL();
                 strcmd += AddSQLString;
 
@@ -129,13 +129,13 @@
         /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref SystemExecute data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
                 strcmd = CreateSelectSQL();
                 strcmd += AddSQLString;
 
@@ -173,6 +173,8 @@
 
             strcmd += "(PrimaryCode";
             strcmd += " ,TargetDate";
+            strcmd += " ,SystemVersion";
+            strcmd += " ,UpDateCopyVersion";
             strcmd += " ,EntryDate";
             strcmd += " ,UpdateDate)";
 
@@ -179,6 +181,8 @@
             strcmd += " VALUES (";
             strcmd += string.Format("{0}", work.PrimaryCode);
             strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
+            strcmd += string.Format(",{0}", work.SystemVersion);
+            strcmd += string.Format(",{0}", work.UpDateCopyVersion);
 
             strcmd += ", STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
             strcmd += ", STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
@@ -260,6 +264,8 @@
 
                 strcmd += string.Format(" PrimaryCode = {0}", data.PrimaryCode);
                 strcmd += string.Format(", TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd += string.Format(", SystemVersion = {0}", data.SystemVersion);
+                strcmd += string.Format(", UpDateCopyVersion = {0}", data.UpDateCopyVersion);
 
                 strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
@@ -285,7 +291,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -328,6 +334,12 @@
                     case (int)TableColumn.TargetDate:
                         strcmd += string.Format(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
+                    case (int)TableColumn.SystemVersion:
+                        strcmd += string.Format(" SystemVersion = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.UpDateCopyVersion:
+                        strcmd += string.Format(" UpDateCopyVersion = {0}", ((int)value).ToString());
+                        break;
                 }
 
                 strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
